<?php ob_start();
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
error_reporting(0);

ini_set(“display_errors”, 0 );

if (!isset($_SESSION)) {

  session_start();

  global $usuario;

  $usuario = $_SESSION["id_usuario"];


} 


$empreendimento_id = addslashes($_GET['empreendimento_id']);

$com_valor         = addslashes($_GET['com_valor']);

function email_voz(){
      include '../conexao.php';
      $query_amigo = "SELECT nome_cli, email_cli 
                      FROM cliente 
                      INNER JOIN cliente_tipo ON cliente_tipo.idcliente = cliente.idcliente
                      WHERE idtipo = 8 and email_cli != ''";
    // echo $query_amigo; die();
      $cont = 0;
      $executa_query = mysqli_query($db,$query_amigo) or die ("Erro ao listar usuario");
      while($buscar_amigo = mysqli_fetch_assoc($executa_query)){
        $nome_cli = $buscar_amigo["nome_cli"];
        $email_cli= $buscar_amigo["email_cli"];


        $dados[$cont]["nome_cli"] = $nome_cli;
        $dados[$cont]["email_cli"]= $email_cli;

        $cont++;
      }

    return $dados;
 
}


function nome_empreendimento($voz){
      include '../conexao.php';
      $query_amigo = "SELECT idempreendimento_cadastro FROM empreendimento_cadastro WHERE descricao_empreendimento like '%$voz%'";
    // echo $query_amigo; die();

      $executa_query = mysqli_query($db,$query_amigo) or die ("Erro ao listar usuario");
      $buscar_amigo = mysqli_fetch_assoc($executa_query);

      $idempreendimento_cadastro = $buscar_amigo['idempreendimento_cadastro'];
    
 
      return $idempreendimento_cadastro;
}


function pegaUsuario(){

      include '../conexao.php';

      global $usuario;

      $query_amigo = "SELECT nome_cli FROM cliente WHERE idcliente = '$usuario'";


      $executa_query = mysqli_query($db,$query_amigo) or die ("Erro ao listar usuario");

      $buscar_amigo = mysqli_fetch_assoc($executa_query);

      $dados = $buscar_amigo['nome_cli'];


      return $dados;

}

if(isset($_GET["voz_empreendimento"])){
  $voz_empreendimento = $_GET["voz_empreendimento"];
  $empreendimento_id  = nome_empreendimento($voz_empreendimento);
}


if($empreendimento_id != '' and $empreendimento_id != 0 and $empreendimento_id != 'Todos'){
    $rel_empreendimento = dados_empreendimento($empreendimento_id);
    $logo = fotologo($empreendimento_id);
  }else{
    $rel_empreendimento = '';
  }


$usu = pegaUsuario();


date_default_timezone_set('America/Sao_Paulo');               

$horario_relatorio = date('d-m-Y H:i:s');

$data_venda = date("d-m-Y");

$arrayData = explode("-",$data_venda);



// Imprimindo os dados:

$dia = $arrayData[0];

$mes = intval($arrayData[1]);

$ano = $arrayData[2];





$dia_hoje = $dia;

$ano_hoje = $ano;

  $meses = array (1 => "Janeiro", 2 => "Fevereiro", 3 => "Março", 4 => "Abril", 5 => "Maio", 6 => "Junho", 7 => "Julho", 8 => "Agosto", 9 => "Setembro", 10 => "Outubro", 11 => "Novembro", 12 => "Dezembro");


   $nome_mes = $meses[$mes];







function dados_empreendimento($empreendimento_id){

  include "../conexao.php";

  $query_amigo = "SELECT * FROM empreendimento_cadastro                           

  WHERE idempreendimento_cadastro = $empreendimento_id";                           

  $executa_query = mysqli_query ($db,$query_amigo);                

            while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos           

              $descricao_empreendimento   = $buscar_amigo['descricao_empreendimento'];

            }



            return $descricao_empreendimento;

          }





          function pegar_min_max_quadra($empreendimento_id){

            include "../conexao.php";

            $query_amigo = "SELECT COUNT(*) as Total_quadras,  MIN(quadra) as de, MAX(quadra) as ate from produto WHERE empreendimento_idempreendimento = $empreendimento_id";     

            $executa_query = mysqli_query ($db,$query_amigo); 



            $buscar_amigo = mysqli_fetch_assoc($executa_query);

            $min = $buscar_amigo['de'];

            $max = $buscar_amigo['ate'];

            $total_quadras = $buscar_amigo['Total_quadras'];





            $dados['min'] = $min;

            $dados['max'] = $max;

            $dados['total_quadras'] = $total_quadras;

            return $dados;

          }





          function pegar_id_quadra($empreendimento_id){



            include "../conexao.php";

            $query_amigo = "SELECT idproduto FROM `produto` where empreendimento_idempreendimento = '$empreendimento_id'";

            $executa_query = mysqli_query($db, $query_amigo);

            $buscar_amigo = mysqli_fetch_assoc($executa_query);

            $id = $buscar_amigo['idproduto'];



            return $id;



          }



          function pegar_valorLote($id_lote){



           include "../conexao.php";

           $query_amigo = "SELECT valor FROM lote WHERE idlote = '$id_lote'";

           $executa_query = mysqli_query($db, $query_amigo);

           $buscar_amigo = mysqli_fetch_assoc($executa_query);

           $valorr = number_format($buscar_amigo['valor'],2,',','.');



           return $valorr;



         }





         function pegar_idLote($empreendimento_id, $id_quadra){



          include "../conexao.php";

          $query = "SELECT lote.idlote, produto.quadra, lote.valor, lote.m2, lote.lote FROM produto INNER JOIN lote ON produto.idproduto = lote.produto_idproduto INNER JOIN empreendimento_cadastro ON produto.empreendimento_idempreendimento = empreendimento_cadastro.idempreendimento_cadastro where empreendimento_idempreendimento = '$empreendimento_id' AND produto.quadra = '$id_quadra' AND lote.status = 1 ORDER by idlote";

              //echo $query;

          $executa_query = mysqli_query($db, $query);





          while($buscar_amigo = mysqli_fetch_assoc($executa_query)){

           $id_lote[] = $buscar_amigo['idlote'];

           $valor[] = $buscar_amigo['valor'];

           $metragem[] = $buscar_amigo['m2'];

           $n_lote[]   = $buscar_amigo['lote'];



         }



         $dados['idlote'] = $id_lote;

         $dados['valor']  = $valor;

         $dados['metragem'] = $metragem;

         $dados['n_lote'] = $n_lote;





         return $dados;

       }

        $empreendimento_id        = $_GET["empreendimento_id"];



  function fotologo($empreendimento_id){
      include "../conexao.php";
              $query_amigo = "SELECT * FROM empreendimento_cadastro                           
                              WHERE idempreendimento_cadastro = $empreendimento_id";                           
              $executa_query = mysqli_query ($db,$query_amigo);                
              while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) {//--verifica se são amigos           
              $img   = $buscar_amigo['img_lote'];
            }

            return $img;
  }



       function pega_total_loteQuadra($empreendimento_id, $id_quadra){



        include "../conexao.php";

        $query = "SELECT COUNT(*) as qtd_lote  FROM produto INNER JOIN lote ON produto.idproduto = lote.produto_idproduto INNER JOIN empreendimento_cadastro ON produto.empreendimento_idempreendimento = empreendimento_cadastro.idempreendimento_cadastro where empreendimento_idempreendimento = '$empreendimento_id' AND produto.quadra = '$id_quadra' ORDER by idlote";

         // echo $query;

        $executa_query = mysqli_query($db, $query);





        while($buscar_amigo = mysqli_fetch_assoc($executa_query)){

         $qtd_lote = $buscar_amigo['qtd_lote'];

       }



       $dados = $qtd_lote;



       return $dados;

     }



     $deate = pegar_min_max_quadra($empreendimento_id);



     $min = $deate['min'];

     $max = $deate['max'];

    

     $nome_empreendimento = dados_empreendimento($empreendimento_id);


 
        if(isset($_GET['empreendimento_id']) AND $_GET['empreendimento_id'] != 'Todos' ){ 

              $image = "<img src='../img/$empreendimento_id/$logo' height='110' />";
         }else{
              $image = "";
         }


     $html = "<table style='width:100%' border='0'>
     
    <tr>
      <td colspan='2'>$image</td>


     <td colspan='2' style='text-align: right'>$dia_hoje de $nome_mes de $ano_hoje<br><font style='font-size: 10px'> Emitidor por.: $usu</font></td>

     </tr>

     <tr>

     <td colspan='6' style='text-align: center; font-weight: bold;'>RELATÓRIO  DE LOTES (DISPONIVEIS) <br>Quadras :  $min    A   $max   </td>

     </tr>

     <tr>

     <td colspan='6' style='text-align: center;' ><span style='font-weight: bold'>Empreendimento</span>:  $nome_empreendimento</td>



     </tr>

     <tr>



     <td colspan='4' style='text-align: center;'><span style='font-weight: bold'></span></td>

     </tr>



     </table>";









     include "../conexao.php";

$total_geral_lotes = 0;

     $query_amigo = "SELECT COUNT(lote)as qtd_lote, produto.idproduto as id_quadra, produto.quadra AS quadra, lote.status, produto.empreendimento_idempreendimento AS id_empreendimento, empreendimento_cadastro.descricao_empreendimento, lote.m2, lote.idlote FROM produto INNER JOIN lote ON produto.idproduto = lote.produto_idproduto INNER JOIN empreendimento_cadastro ON produto.empreendimento_idempreendimento = empreendimento_cadastro.idempreendimento_cadastro where empreendimento_idempreendimento = '$empreendimento_id' AND lote.status = 1 GROUP by quadra order by CAST(quadra as UNSIGNED) Asc";

     $executa_query = mysqli_query($db, $query_amigo);







    $html .= "<table id='table'>";

      

     while($buscar_amigo = mysqli_fetch_assoc($executa_query)){

      $quadra = $buscar_amigo['quadra'];

      $lote   = $buscar_amigo['qtd_lote'];

      $m2     = $buscar_amigo['m2'];

      $idlote = $buscar_amigo['idlote'];


      $total_geral_lotes = $total_geral_lotes + $lote;






    

     //$html .= "<tr style='border-collapse: collapse; border: 1px solid;'>";

            //  echo $quadra . " / " . $lote  . "<br>";

      for ($i=1; $i <= 1 ; $i++) {

        $html .= "<tr>

               <td style='padding: 20px 10px 0px 0px'><font style='border-collapse: collapse; border: 0px solid black; font-size: 12px;'><strong>QUADRA :</font></strong></td><td  style='padding: 20px 10px 0px 0px'><font style='border-collapse: collapse; border: 0px solid black; font-size: 12px;'> &nbsp;&nbsp;&nbsp;&nbsp;$quadra&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font></td>

                  </tr>";

       // $html .= "<tr><td collspan='$lote'>QUADRA : $quadra</td></tr>";

        $lote_pquadra = pegar_idLote($empreendimento_id,$quadra);

               // echo "<pre>";

               // print_r($lote_pquadra); 

               // echo "</pre>";



          $html .= "<tr>";

        $cont = 0;

          $ct = 1;



        foreach ($lote_pquadra['idlote'] as $idlote) {

          $n_lote = $lote_pquadra['n_lote'][$cont];


          if($com_valor == 0 or $com_valor == ''){

          $valor  = '<strong>R$</strong> '.number_format($lote_pquadra['valor'][$cont],2,',','.');

          }else{
            $valor = '';
          }


          $metragem = $lote_pquadra['metragem'][$cont];


           if($ct == 10 || $ct == 19 || $ct == 28 || $ct == 37 || $ct == 46 ){

               $html .= "<tr>";

           }

   

         $html .= "<td style='width: 75px; border-collapse: collapse; border: 1px solid black; text-align: center'>$n_lote<br><table><tr><td><font style='font-size: 10px;'><strong>Mts:</strong>&nbsp;&nbsp;$metragem</font></td></tr><tr><td><font style='font-size: 10px;'><strong>&nbsp;</strong>$valor </font></td></tr></td></tr></table></td>";



           if($ct == 9 || $ct == 18 || $ct == 27 || $ct == 36 || $ct == 45 ){

               $html .= "</tr>";

           }



           $ct++;



          //$html .= "<td>teste</td>";



        $cont++;

     

       }

                 $html .= "</tr>";





       $quantidade = pega_total_loteQuadra($empreendimento_id,$quadra);







        $z = $lote%2;

        $y = $lote/2;



       // echo "VALOR DE Y E "  . $y;





         

         $html .=  "</tr><tr><td style='border-collapse: collapse; border: 0px solid black;  background-color: #CCCAAA;'><font  style='font-size: 12px;'><strong>Disponivel:</strong></td><td style='background-color: #CCCAAA;'>&nbsp;&nbsp;&nbsp;$lote</font> </td></tr>";

        

           





   

      

                     # code...

     } 

    // $html .=  "</tr>"; 

   }

           $html .=  "</tr><tr><td style='border-collapse: collapse; border: 0px solid black;  background-color: #CCCAAA;'><font  style='font-size: 12px;'><strong>Total Geral Disponivel:</strong></td><td style='background-color: #CCCAAA;'>&nbsp;&nbsp;&nbsp;$total_geral_lotes</font> </td></tr>";

   $html .= "</table>";





    echo $html;





         //  $html .+ "</table>";



if(isset($_GET["voz_email"])){

require '../vendor2/autoload.php';

// Instantiation and passing `true` enables exceptions
$mail = new PHPMailer(true);

try {
    //Server settings
  //  $mail->SMTPDebug = 2;                                       // Enable verbose debug output
    $mail->isSMTP();                                            // Set mailer to use SMTP
    $mail->Host = 'br918.hostgator.com.br';  // Specify main and backup SMTP servers
    $mail->SMTPAuth   = true;                                   // Enable SMTP authentication
    $mail->Username = 'correio@immobileb.com.br';
    $mail->Password = 'pao123';                              // SMTP password
    $mail->SMTPSecure = 'tls';                                  // Enable TLS encryption, `ssl` also accepted
    $mail->Port       = 587;                                    // TCP port to connect to

    




    //Recipients
    $mail->setFrom('correio@immobile.com.br', 'IB');

    $corretores = email_voz();

// echo "<pre>";
// print_r($corretores);
// echo "</pre>";

// die();

    foreach ($corretores as $key => $value) {

      // echo $key;
      // echo $value;



        $email_cli_t = $value["email_cli"];
        $nome_cli_t  = $value["nome_cli"];

        // echo "Email: ".$email_cli_t;
        // echo "Nome: ".$nome_cli_t."<br>";

         $mail->addAddress($email_cli_t, $nome_cli_t);     // Add a recipient

    }


// die();




    // Content
    $mail->isHTML(true);                                  // Set email format to HTML
    $mail->Subject = 'Lotes Disponiveis |'.$nome_empreendimento;

$mail->Body    = $html;
      $mail->AltBody = 'Lotes Disponiveis';

    $mail->send();
}catch (Exception $e) {
    echo "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";
}

}
        //  $nome_empreendimento = dados_empreendimento($empreendimento_id);



        //  $qtd_quadras = pegar_min_max_quadra($empreendimento_id);

        //  $total_quadras = $qtd_quadras['total_quadras'];



        // // echo "TOTAL DE QUADRAS DO EMPREENDIMENTO .: " . $nome_empreendimento  . " =  " . $total_quadras  . " DE QUADRAS";



        //  $min = $qtd_quadras['min'];

        //  $max = $qtd_quadras['max'];





        // echo $html;





















 //echo $html;







  //  $dompdf->load_html($html);

  //  $dompdf->set_paper("A4", "portrait");

  //  ob_clean();



  //  $pdf = $dompdf->render();

  //  $canvas = $dompdf->get_canvas(); 

  //  $font = Font_Metrics::get_font("helvetica", "bold"); 

  //  $canvas->page_text(510, 18, "", $font, 6, array(0,0,0)); 

  //  $canvas->page_text(770, 20, "Pág. {PAGE_NUM}/{PAGE_COUNT}", $font, 8, array(0,0,0)); 

  //  header("Content-type: application/pdf");     





  //  $dompdf->stream(

  //   "saida.pdf", 

  //   array(

  //     "Attachment" => false 

  //   )

  // );







  ?>

